summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--libraries/exiftool/exiftool.SlackBuild15
-rw-r--r--libraries/exiftool/exiftool.info8
2 files changed, 14 insertions, 9 deletions
diff --git a/libraries/exiftool/exiftool.SlackBuild b/libraries/exiftool/exiftool.SlackBuild
index 0d6929dfdb..c3d6ff44d6 100644
--- a/libraries/exiftool/exiftool.SlackBuild
+++ b/libraries/exiftool/exiftool.SlackBuild
@@ -5,8 +5,8 @@
# This script is dedicated to the public domain
PRGNAM=exiftool
-VERSION=7.12
-ARCH=${ARCH:-noarch}
+VERSION=7.67
+ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -32,9 +32,8 @@ make install DESTDIR=$PKG
mv $PKG/usr/share/man $PKG/usr/man
rmdir $PKG/usr/share
-( cd $PKG/usr/man
- find . -type f -exec gzip -9 {} \;
-)
+
+( cd $PKG/usr/man ; find . -type f -exec gzip -9 {} \; )
( cd $PKG
find . -name perllocal.pod \
@@ -43,6 +42,12 @@ rmdir $PKG/usr/share
| xargs rm -f
)
+# Kill some empty directories
+eval $(perl '-V:archlib')
+eval $(perl '-V:vendorarch')
+rmdir -p $PKG/$vendorarch/auto/Image/ExifTool \
+ $PKG/$archlib 2>/dev/null || true
+
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a Changes README html/ $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
diff --git a/libraries/exiftool/exiftool.info b/libraries/exiftool/exiftool.info
index dfba039aeb..446d216e06 100644
--- a/libraries/exiftool/exiftool.info
+++ b/libraries/exiftool/exiftool.info
@@ -1,8 +1,8 @@
PRGNAM="exiftool"
-VERSION="7.12"
+VERSION="7.67"
HOMEPAGE="http://www.sno.phy.queensu.ca/~phil/exiftool/"
-DOWNLOAD="http://www.sno.phy.queensu.ca/~phil/exiftool/Image-ExifTool-7.12.tar.gz"
-MD5SUM="897932155b741597940941b0b93056ff"
+DOWNLOAD="http://www.sno.phy.queensu.ca/~phil/exiftool/Image-ExifTool-7.67.tar.gz"
+MD5SUM="4b60741cd725683eb11ae0866e5941e5"
MAINTAINER="David Spencer"
EMAIL="nobbutl@yahoo.co.uk"
-APPROVED="rworkman"
+APPROVED="chess,rworkman"